module win_dll;

version(Windows):

import core.sys.windows.dll;
import core.sys.windows.windows;

extern(Windows) bool DllMain(void* hInstance, uint ulReason, void*) 
{
    /*switch (ulReason)
    {
        default: assert(0);
    case DLL_PROCESS_ATTACH:
        dll_process_attach( hInstance, true );
        break;

    case DLL_PROCESS_DETACH:
        dll_process_detach( hInstance, true );
        break;

    case DLL_THREAD_ATTACH:
        dll_thread_attach( true, true );
        break;

    case DLL_THREAD_DETACH:
        dll_thread_detach( true, true );
        break;
    }
    return true;*/
    return 0;
}